Page MenuHomePhabricator

[Web] Log-In / Register Pages - Eliminate Register page & combine it with Log-In page, provide link to redirect to separate Forgot Password page, (more in description)
Closed, ResolvedPublic

Description

Gap of border line between Login / Forgot Password does not do much, just gave one continuous line.

Create separate Forgot Password page (same how it looks now but on its own page) that users will be redirected to from a link next to the Password option for Log-In. Follow how Wikimedia's log in is set up.

Replace right side with “Register” (& corresponding entries)
Eliminate "Register"'s own page / link on the top navigation

Change “Sign In” button to “Log In” to keep terms consistent
Change "Create" button to "Register".



Event Timeline

MNguyen assigned this task to Prtksxna.
MNguyen raised the priority of this task from to Needs Triage.
MNguyen updated the task description. (Show Details)
MNguyen added a project: Shop-Theme.
MNguyen updated the task description. (Show Details)
MNguyen set Security to None.
MNguyen added subscribers: Aklapper, MNguyen.
Prtksxna triaged this task as Normal priority.Jan 12 2015, 9:46 AM
Prtksxna removed Prtksxna as the assignee of this task.Jan 12 2015, 9:49 AM
vshchepakina added a subscriber: violetto.
vshchepakina moved this task from Backlog to Next Up on the Shop-Theme board.Jun 3 2015, 5:09 PM

@MNguyen, @violetto, @vshchepakina
Created this page and here is the screenshot.
If no problem I will update the code soon.
Also, in the toolbar, Login / Register is ok?

Updated new login page.
Click Forgot password? will switch the page content to password recovery form, and stay in the same page.
Click Back to login will switch the login and register forms back.
The reason is, I did not find a way to add a separated sub page for password form under link store.wikimedia.org/account.
Also modified toolbar entrance for login and register as Login.

@vshchepakina we wanted just "Join" on the menu bar right?

@HuiZSF, on the "Forgot password?" I wonder if we can change the form instead of going to another page? For example,

Currently in the "Login" form, you have:


Login
_ _

Email Address
(Field)

Password - Forget Password
(Field)

[Login button]


When you click on "Forget Password," the form becomes (without going to another page)


Forgot your password?
_ _

Email Address
(Field)

[Submit button]
[Back to login link]


@violetto
The 3 forms are actually on the same page now, but visually separated to 2 pages.

I will change the behavior of "Forgot password page".
When click "Forgot your password", "login form" will be replaced by "forgot password form", visually on the same page.

HuiZSF added a comment.Jul 1 2015, 6:08 PM

Updated.
Now the login form and password recover form will alternatively appear in the exactly same position.

MNguyen added a comment.EditedJul 1 2015, 7:30 PM

Yaaaaay what an improvement! Thanks for your hard work, @HuiZSF!
If you could add some minor changes, it will be perfect!

  1. Capitalize where needed: Recover Password, Back to Login (omit 'or).
  2. Give the button / 'Back to Login' some breathing room: 1.5em
  3. Resize 'Back to Login' text to same size as 'Submit', should be 1em
HuiZSF added a comment.Jul 1 2015, 7:47 PM

@MNguyen
Updated. Thank you :)

Yes! It looks great! Thanks for being so quick also. Can you sign off on this @violetto?

violetto closed this task as Resolved.Jul 1 2015, 9:18 PM

Thanks for the great work!